GET /api/tokens/holders/{contract}
Token holders
GET holders data from tokens service
Endpoint​
GET https://api.web3identity.com/api/tokens/holders/{contract}
Parameters​
| Name | In | Type | Required | Description |
|---|---|---|---|---|
contract | path | string | âś… | Smart contract address (0x format) |
Example Request​
curl -s "https://api.web3identity.com/api/tokens/holders/:contract" | jq
Responses​
200 Holders​
{
"contract": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"symbol": "USDC",
"totalHolders": 1234567,
"topHolders": [
{
"address": "0x1234567890123456789012345678901234567890",
"balance": "5678901234000000",
"share": 24.3
},
{
"address": "0x2345678901234567890123456789012345678901",
"balance": "3456789012000000",
"share": 14.8
},
{
"address": "0x3456789012345678901234567890123456789012",
"balance": "2345678901000000",
"share": 10
}
]
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required - free tier exhausted​
{
"example": "response"
}
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec